<ui:composition xmlns:rich="http://richfaces.org/rich"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            #{graphmlManager.init()}
            <h1>#{messages['gazelle.pam.AddGraph']}</h1>
            <s:div id="globalDiv">
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">
                        #{messages['gazelle.pam.AddGraph_2']}
                    </ui:define>

                    <s:div style="word-wrap: break-word;" id="supportedEvents">
                        <h:outputText value="#{graphmlManager.displaySupportedEvents()}" styleClass="gzl-label gzl-label-blue"/>
                        <br/><br/>
                    </s:div>
                    <div class="row">
                        <div class="col-lg-6">
                            <h:outputText value="#{messages['gazelle.pam.GraphMLFile']}"/>
                            <rich:fileUpload id="uploadGraphml"
                                             fileUploadListener="#{graphmlManager.uploadGraphmlEventListener}"
                                             maxFilesQuantity="1" acceptedTypes="graphml" listHeight="60px"
                                             immediateUpload="true">
                                <a4j:ajax event="uploadcomplete"
                                          oncomplete="#{graphmlManager.isUploadedFileInvalid()} &amp;&amp; $('#globalForm\\\\:uploadGraphml .rf-fu-btn-cnt-clr').click()"
                                          render="graphError"
                                        />
                            </rich:fileUpload>
                        </div>
                        <div class="col-lg-6">
                            <h:outputText value="#{messages['gazelle.pam.ImageFileForPreview']}"/>
                            <rich:fileUpload id="uploadImage"
                                             fileUploadListener="#{graphmlManager.uploadImageEventListener}"
                                             maxFilesQuantity="1" acceptedTypes="jpg,jpeg,png,gif,svg" listHeight="60px"
                                             immediateUpload="true">
                                <a4j:ajax event="uploadcomplete" render="buttonsDiv"/>
                            </rich:fileUpload>
                        </div>
                    </div>
                    <s:div id="graphError">
                        <s:div style="word-wrap: break-word;" rendered="#{graphmlManager.notValidEdges.size() != 0}">
                            <h:outputText value="#{graphmlManager.displayUnsupportedEvents()}" styleClass="gzl-label gzl-label-red"/>
                            <br/><br/>
                        </s:div>
                    </s:div>

                    <ui:decorate template="/layout/panels/_panel_footer.xhtml">
                        <div class="form-horizontal">

                            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="name"/>
                                <ui:define name="label">
                                    <h:outputText value="#{messages['gazelle.HL7Common.Name']}"/>
                                </ui:define>
                                <h:inputText id="name"
                                             value="#{graphmlManager.selectedGraph.name}"
                                             required="true"
                                             styleClass="form-control"/>
                            </s:decorate>
                            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="description"/>
                                <ui:define name="label">
                                    <h:outputText value="#{messages['net.ihe.gazelle.simulators.Description']}"/>
                                </ui:define>
                                <h:inputTextarea id="description" cols="80" rows="3"
                                             value="#{graphmlManager.selectedGraph.description}"
                                                 required="true"
                                             styleClass="form-control"/>
                            </s:decorate>
                        </div>
                        <ui:define name="panel_footer">
                            <a4j:commandButton id="submitButton"
                                               actionListener="#{graphmlManager.submit()}"
                                               render="globalDiv"
                                               styleClass="gzl-btn-green"
                                               value="#{messages['gazelle.pam.Submit']}"/>

                            <a4j:commandButton id="resetButton"
                                               styleClass="gzl-btn-orange"
                                               actionListener="#{graphmlManager.init()}"
                                               execute="@this"
                                               value="#{messages['gazelle.HL7Common.Reset_2']}" render="globalDiv"/>
                            <a4j:commandButton id="backButton"
                                               styleClass="gzl-btn"
                                               action="#{graphmlListManager.displayCurrentPage()}"
                                               render="globalDiv"
                                               execute="@this"
                                               value="#{messages['gazelle.pam.Back']}"/>
                        </ui:define>
                    </ui:decorate>
                </ui:decorate>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>